'''armor
'''

import pyglet
import item
from spritesheet import spritesheet

class Armor(item.Item):
    def __init__(self, g, x, y):
        item.Item.__init__(self, g, x, y)
        img = spritesheet['armor'][23]
        img.anchor_x = img.width // 2
        img.anchor_y = img.height // 2
        self.sprite = pyglet.sprite.Sprite(img, x = x, y = y)
    
    def action(self):
        self.g.gui.equipitem.equip_new(self)
        self.g.player.combat.max_damage_points += 25
        self.g.player.combat.defense_rating += 1
        self.g.gui.printconsole("Equipped new armor!")
        self.g.sound.play_sound('equip_item')

    def unequip_action(self):
        self.g.player.combat.max_damage_points -= 25
        self.g.player.combat.defense_rating -= 1
