'''Event handling
'''

class UserInputEventQueue(object):
    '''Queue for mouse and keyboard events
    '''
    def __init__(self):
        self.q = []

    def __iter__(self):
        q = self.q
        self.q = []
        return q.__iter__()

    def get_event(self):
        if len(self.q) > 0:
            return self.q.pop(0)
        else:
            return ()

    def events_waiting(self):
        if len(self.q) > 0:
            return 1
        else:
            return 0

    def flush(self):
        self.q = []

    def add_mouse_click(self, x, y, button, modifiers):
        self.q.append(('mouseclick', x, y, button, modifiers))

    def add_mouse_drag(self, x, y, button, modifiers):
        self.q.append(('mousedrag', x, y, button, modifiers))

    def add_keypress(self, keysym, modifiers):
        self.q.append(('key', keysym, modifiers))



