'''sound
'''

import pyglet

class Sound(object):
    def __init__(self):
        musicfile = 'bith.mp3'
        sounddict = { 'player_attack':'belt_slap3.wav',
                      'monster_attack':'belt_slap4.wav',
                      'get_item':'wuishk.wav',
                      'use_item':'dadee.wav',
                      'monster_death':'boom.wav',
                      'attack_miss':'miss.wav',
                      'low_health':'lowhealth.wav',
                      'equip_item':'equip.wav',
                      'level_finish':'levelfinish.wav'}
        self.sourcedict = {}
        self.sourcedict['music'] = pyglet.resource.media(musicfile)
        for sound in sounddict.keys():
            filename = sounddict[sound]
            self.sourcedict[sound] = pyglet.resource.media(filename,
                                                           streaming = False)
        self.player = pyglet.media.Player()
        self.playing = False
        self.player.on_eos = self._done_playing

    def _done_playing(self):
        self.playing = False
        
    def play_music(self):
        self.musicplayer = pyglet.media.Player()
        self.musicplayer.volume = 0.25
        self.musicplayer.queue(self.sourcedict['music'])
        self.musicplayer.eos_action = 'loop'
        self.musicstate = 1
        self.musicplayer.play()

    def toggle_music(self):
        if self.musicstate:
            self.musicplayer.pause()
            self.musicstate = 0
        else:
            self.musicplayer.play()
            self.musicstate = 1

    def play_sound(self,sound):
        player = pyglet.media.Player()
        player.queue(self.sourcedict[sound])
        player.play()

    def play_same_sound(self,sound):
        '''Only plays sound if previous sound is done
        '''
        if self.playing:
            return
        self.player.queue(self.sourcedict[sound])
        self.player.play()
        self.playing = True
